net.sf.statcvs.pages

## Class IndexPageMaker

- java.lang.Object
- - net.sf.statcvs.pages.IndexPageMaker

    public class IndexPageMaker
    extends java.lang.Object

Version:
  $Id: IndexPageMaker.java,v 1.12 2009/06/02 13:28:53 benoitx Exp $
Author:
  anja, Richard Cyganiak (richard@cyganiak.de)

### Constructor Summary

Constructors
Constructor and Description
`IndexPageMaker(ReportConfig config, java.lang.String notesHTML, PageGroup reports)` Creates a new report index page.

### Method Summary

Methods
`Page` `getPage()`
`Page` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexPageMaker

    public IndexPageMaker(ReportConfig config,
                  java.lang.String notesHTML,
                  PageGroup reports)

Creates a new report index page.

Parameters:
  `config` - Report configuration to use
  `notesHTML` - A note to be inserted on top of the page; might be `null`
  `reports` - A list of `NavigationNode`s that constitute the page's main menu

### Method Detail

#### toFile

    public Page toFile()

#### getPage

    public Page getPage()